Jump to content
LaunchBox Community Forums
Jason Carr

Running LaunchBox and Big Box on Linux

Recommended Posts

On 11/19/2020 at 10:00 PM, jedigu said:

I haven't been able to update to version 11.8 on Linux, because it always gives me an error at the end (log attached); reinstalling 11.7 makes LB / BB work again.

Anyone managed to get it working?

backtrace.txt 13.92 kB · 2 downloads

I'm seeing the same error on both my Mint virtual and my main Manjaro box.  I tried both an update through the software and a fresh install of 11.5 with upgrade through software.  I haven't tried using the 11.8 install with a fresh install on Mint, which will likely be the next step just to cover our bases, though I don't think that will work.  For fun I upgraded Wine to 5.22 and tried again to no avail.  Tried the same with Staging with same results. 

After that (or more accurately, when I can pull myself from playing San Andreas) I'm going to run the update on my Windows machine so I can see if anything new has installed.  Maybe that is it.

  • Like 2

Share this post


Link to post
Share on other sites
20 hours ago, bombatomba77 said:

I'm seeing the same error on both my Mint virtual and my main Manjaro box.  I tried both an update through the software and a fresh install of 11.5 with upgrade through software.  I haven't tried using the 11.8 install with a fresh install on Mint, which will likely be the next step just to cover our bases, though I don't think that will work.  For fun I upgraded Wine to 5.22 and tried again to no avail.  Tried the same with Staging with same results. 

After that (or more accurately, when I can pull myself from playing San Andreas) I'm going to run the update on my Windows machine so I can see if anything new has installed.  Maybe that is it.

I wonder what would happen if you use the install script on the first page like normal then just copy over 1.8 from your Windows install? I don't see why that wouldn't work. I might try it myself as well. Figured I'd throw that out there.

Share this post


Link to post
Share on other sites

No dice with installing the 11.8 exe directly.  I don't know how to properly read the debugs of Wine, so I'm afraid I will be of little help as to why though.

For fun I installed 11.8 on a fresh VM Windows 10 and while it does list the base requirements as the same (Core, VC2015) apparently if the software sees your VC installs lacking it will install the VC 2015-2019 package.  I don't think that would affect anything, but who knows.

 

EDIT (like a minute after posting):  As an afterthought I am including the preamble info that you get if you start LB from command line:

002e:err:eventlog:ReportEvent@ L"Application: LaunchBox.exe\nCoreCLR Version 4.700.20.26981\n.Net Core Version: 3.1.6\nDescription: The process was terminated due to an unhandled exception.\nException Info: System.TypeIniliaizationException: The type initializer for '<Module>' threw an exception.\r\n ---> System.Except:...
wine: Unhandled exception 0xe0434352 in thread 2e at address 000000007B02DAE6 9thread 0002e), staring debugger...

Like I wrote, I don't really know how to read these debugs, but I do recognize one thing, that being the exception error code (0xe0434352), which in Windows is a .Net error (possible corruption).  No idea about Wine though.  This error likely isn't actual corruption, but Wine's tenuous (at best) relationship with .Net.  Not sure where that leaves us, but at least with 11.7 LB starts up SO FAST!

Edited by bombatomba77
  • Like 2

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...